package tournament.test.player.dtos

import tournament.test.player.entities.Player
import kotlinx.serialization.Serializable

@Serializable
data class PlayerInfoDTO(
    val pseudo: String,
    val pointsNumber: Int,
    val ranking: Int,
)

fun Player.toPlayerInfoDTO(rank: Int): PlayerInfoDTO {
    return PlayerInfoDTO(
        pseudo = this.pseudo,
        pointsNumber = this.pointsNumber,
        ranking = rank
    )
}