package tournament.test.player.dtos

import tournament.test.player.entities.Player
import kotlinx.serialization.Serializable

@Serializable
data class PlayerUpdateDTO(
    val pseudo: String,
    val pointsNumber: Int,
)

fun PlayerUpdateDTO.toPlayer(): Player = Player(
    pseudo = this.pseudo,
    pointsNumber = this.pointsNumber
)