package tournament.test.player.repositories

import tournament.test.player.entities.Player

interface PlayerRepository {

    suspend fun create(player: Player): Player

    suspend fun update(player: Player): Player

    suspend fun findByPseudo(pseudo: String): Player?

    suspend fun getRank(player: Player): Int

    suspend fun findAll(): List<Player>

    suspend fun deleteAll()
}