import io.ktor.server.config.*
import io.ktor.server.testing.*
import org.koin.test.KoinTest

abstract class BaseIntegrationTest : KoinTest {
    fun iTest(test: suspend ApplicationTestBuilder.() -> Unit) = testApplication {
        environment {
            config = ApplicationConfig("application-test.yaml")
        }
        startApplication()
        test()
    }
}